For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Logo
LoginSandbox
Platform GuidesAPI DocsSDKMCP ServerChangelog
Platform GuidesAPI DocsSDKMCP ServerChangelog
  • Solvimon API
    • Base URL
    • Authentication
    • HTTP status codes
    • Resources
    • Standardisation
  • Configuration API
  • Identity API
  • Transaction API
  • Event API
      • GETGet a list of events for provided filters
      • POSTIngest an event
      • POSTMark an event as deleted
      • GETGet an event by ID
      • GETGet the event trace history of the event.
      • POSTMark an event as deleted
      • POSTIngest a list of meter events
      • POSTIngest persist events
      • POSTIngest charge events
      • POSTIngest adjustment events
      • GETGet a list of events for provided filters
      • POSTMark an event as deleted
      • POSTIngest an event
      • POSTIngest a list of meter events
      • POSTCalculate the costs for an event
      • GETGet an event by ID
      • GETGet the event trace history of the event.
      • POSTMark an event as deleted
LoginSandbox
Event APIIngest

Mark an event as deleted

POST
/v:version/ingest/meter-data/delete
POST
/v:version/ingest/meter-data/delete
$curl -X POST https://test.api.solvimon.com/v1/ingest/meter-data/delete \
> -H "X-API-KEY: <apiKey>" \
> -H "Content-Type: application/json" \
> -d '{
> "reference": "theUniqueMeterDataReference"
>}'
1{
2 "object_type": "string",
3 "id": "string",
4 "reference": "string",
5 "type": "INGEST",
6 "customer_id": "string",
7 "customer_reference": "string",
8 "customer": {
9 "object_type": "string",
10 "id": "string",
11 "created_at": "string",
12 "parent_customer_id": "string",
13 "parent_customer_ids": [
14 "string"
15 ],
16 "reference": "string",
17 "status": "DRAFT",
18 "timezone": "string",
19 "type": "ORGANIZATION",
20 "email": "string",
21 "notification_preferences": [
22 {
23 "type": "INVOICE",
24 "channels": [
25 {
26 "type": "EMAIL",
27 "enabled": true
28 }
29 ]
30 }
31 ],
32 "locale": "string",
33 "individual": {
34 "name": {
35 "first_name": "string",
36 "last_name": "string",
37 "infix": "string"
38 },
39 "residential_address": {
40 "line1": "string",
41 "line2": "string",
42 "city": "string",
43 "postal_code": "string",
44 "state": "string",
45 "country": "AD"
46 }
47 },
48 "organization": {
49 "legal_name": "string",
50 "tax_id": "string",
51 "tax_ids": [
52 {
53 "id": "string",
54 "type": "GENERIC_TAX_ID",
55 "display_name": "string",
56 "tax_id_validation_result": {
57 "id": "string",
58 "validation_date": "string",
59 "source": "string",
60 "valid": "VALID",
61 "message": "string"
62 }
63 }
64 ],
65 "registration_number": "string",
66 "tax_exempt": true,
67 "tax_exempt_note": "string",
68 "registered_address": {
69 "line1": "string",
70 "line2": "string",
71 "city": "string",
72 "postal_code": "string",
73 "state": "string",
74 "country": "AD"
75 },
76 "tax_registrations": [
77 {
78 "id": "string",
79 "description": "string",
80 "tax_id": "string",
81 "tax_ids": [
82 {
83 "id": "string",
84 "type": "GENERIC_TAX_ID",
85 "display_name": "string",
86 "tax_id_validation_result": {
87 "id": "string",
88 "validation_date": "string",
89 "source": "string",
90 "valid": "VALID",
91 "message": "string"
92 }
93 }
94 ],
95 "registration_number": "string",
96 "registered_address": {
97 "line1": "string",
98 "line2": "string",
99 "city": "string",
100 "postal_code": "string",
101 "state": "string",
102 "country": "AD"
103 }
104 }
105 ]
106 },
107 "custom_fields": [
108 {
109 "id": "string",
110 "reference": "string",
111 "value": "string",
112 "values": [
113 "string"
114 ],
115 "integration_details": {
116 "id": "string",
117 "reference": "string",
118 "payment_gateway_variant": "ADYEN",
119 "adyen": {
120 "recurring_detail_reference": "string"
121 },
122 "stripe": {
123 "payment_method_id": "string"
124 }
125 }
126 }
127 ],
128 "processing_only": true,
129 "pricing_plan_subscription_selector": {
130 "data": [
131 {
132 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
133 "value": "string"
134 }
135 ],
136 "rules": [
137 {
138 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
139 "type": "EQUALS"
140 }
141 ],
142 "filters": [
143 {
144 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
145 "type": "EQUALS",
146 "value": "string"
147 }
148 ],
149 "fallback": "LATEST"
150 },
151 "linked_integrations": [
152 {
153 "id": "string",
154 "link_details": [
155 {
156 "url": "string",
157 "custom_field_name": "string"
158 }
159 ]
160 }
161 ],
162 "roles": [
163 "DEFAULT"
164 ],
165 "seller_details": {
166 "default_billing_entity_id": "string"
167 }
168 },
169 "meter_id": "string",
170 "meter_reference": "string",
171 "pricing_plan_subscription_id": "string",
172 "pricing_plan_subscription_reference": "string",
173 "pricing_plan_subscription_selector": {
174 "data": [
175 {
176 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
177 "value": "string"
178 }
179 ],
180 "rules": [
181 {
182 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
183 "type": "EQUALS"
184 }
185 ],
186 "filters": [
187 {
188 "field": "BILLING_ENTITY_REGISTERED_ADDRESS_COUNTRY",
189 "type": "EQUALS",
190 "value": "string"
191 }
192 ],
193 "fallback": "LATEST"
194 },
195 "timestamp": "2024-01-15T09:30:00Z",
196 "created_at": "string",
197 "meter_properties": [
198 {
199 "id": "string",
200 "reference": "string",
201 "value": "string"
202 }
203 ],
204 "meter_values": [
205 {
206 "id": "string",
207 "reference": "string",
208 "number": "string",
209 "amount": {
210 "quantity": "string",
211 "currency": "AED"
212 },
213 "count": "string"
214 }
215 ],
216 "cost_prediction": {
217 "response": "OK",
218 "details": [
219 {
220 "customer_id": "string",
221 "amount_excluding_tax": {
222 "quantity": "string",
223 "currency": "AED"
224 },
225 "amount_including_tax": {
226 "quantity": "string",
227 "currency": "AED"
228 },
229 "tax_summary": {
230 "base_amount": {
231 "quantity": "string",
232 "currency": "AED"
233 },
234 "tax_amount": {
235 "quantity": "string",
236 "currency": "AED"
237 },
238 "total_amount": {
239 "quantity": "string",
240 "currency": "AED"
241 },
242 "local_amounts": {
243 "base_amount": {
244 "quantity": "string",
245 "currency": "AED"
246 },
247 "tax_amount": {
248 "quantity": "string",
249 "currency": "AED"
250 },
251 "total_amount": {
252 "quantity": "string",
253 "currency": "AED"
254 },
255 "used_exchange_rate": {
256 "currency": "string",
257 "base_currency": "string",
258 "rate_timestamp": "string",
259 "rate": "string",
260 "source": "string"
261 },
262 "display": true
263 },
264 "notes": [
265 "string"
266 ],
267 "country_code": "string"
268 },
269 "periods": [
270 {
271 "period_order": 1,
272 "amount_excluding_tax": {
273 "quantity": "string",
274 "currency": "AED"
275 },
276 "amount_including_tax": {
277 "quantity": "string",
278 "currency": "AED"
279 },
280 "billing_period": {
281 "type": "DAY",
282 "value": 1
283 },
284 "start_at": "string",
285 "end_at": "string",
286 "tax_categories": [
287 {
288 "base_amount": {
289 "quantity": "string",
290 "currency": "AED"
291 },
292 "tax_amount": {
293 "quantity": "string",
294 "currency": "AED"
295 },
296 "total_amount": {
297 "quantity": "string",
298 "currency": "AED"
299 },
300 "category": "string",
301 "local_amounts": {
302 "base_amount": {
303 "quantity": "string",
304 "currency": "AED"
305 },
306 "tax_amount": {
307 "quantity": "string",
308 "currency": "AED"
309 },
310 "total_amount": {
311 "quantity": "string",
312 "currency": "AED"
313 },
314 "used_exchange_rate": {
315 "currency": "string",
316 "base_currency": "string",
317 "rate_timestamp": "string",
318 "rate": "string",
319 "source": "string"
320 },
321 "display": true
322 },
323 "notes": [
324 "string"
325 ],
326 "rates": [
327 {
328 "name": "string",
329 "percentage": "string",
330 "tax_amount": {
331 "quantity": "string",
332 "currency": "AED"
333 }
334 }
335 ],
336 "percentage": "string",
337 "name": "string"
338 }
339 ],
340 "groups": [
341 {
342 "group_order": 1,
343 "amount_excluding_tax": {
344 "quantity": "string",
345 "currency": "AED"
346 },
347 "amount_including_tax": {
348 "quantity": "string",
349 "currency": "AED"
350 },
351 "billing_period": {
352 "type": "DAY",
353 "value": 1
354 },
355 "start_at": "string",
356 "end_at": "string",
357 "type": "string",
358 "product_category": {
359 "object_type": "string",
360 "id": "string",
361 "name": "string",
362 "reference": "string",
363 "description": "string",
364 "tax_category": "STANDARD",
365 "display_order": 1,
366 "customer_id": "string"
367 },
368 "products": [
369 {
370 "object_type": "string",
371 "id": "string",
372 "category_id": "string",
373 "category": {
374 "object_type": "string",
375 "id": "string",
376 "name": "string",
377 "reference": "string",
378 "description": "string",
379 "tax_category": "STANDARD",
380 "display_order": 1,
381 "customer_id": "string"
382 },
383 "parent_product_id": "string",
384 "name": "string",
385 "reference": "string",
386 "description": "string",
387 "status": "DRAFT",
388 "product_type": "DEFAULT",
389 "tax_category": "STANDARD",
390 "features": [
391 {
392 "id": "string",
393 "reference": "string"
394 }
395 ],
396 "custom_fields": [
397 {
398 "id": "string",
399 "reference": "string",
400 "value": "string",
401 "values": [
402 "string"
403 ],
404 "integration_details": {
405 "id": "string",
406 "reference": "string",
407 "payment_gateway_variant": "ADYEN",
408 "adyen": {
409 "recurring_detail_reference": "string"
410 },
411 "stripe": {
412 "payment_method_id": "string"
413 }
414 }
415 }
416 ],
417 "display_order": 1,
418 "linked_integrations": [
419 {
420 "id": "string",
421 "link_details": [
422 {
423 "url": "string",
424 "custom_field_name": "string"
425 }
426 ]
427 }
428 ],
429 "billing_entity_id": "string",
430 "customer_id": "string"
431 }
432 ],
433 "pricing": {
434 "id": "string",
435 "name": "string"
436 },
437 "description": "string",
438 "pricing_plan_subscription_id": "string",
439 "pricing_plan_schedule_id": "string",
440 "forwarded_from_customer_id": "string",
441 "tax_categories": [
442 {
443 "base_amount": {
444 "quantity": "string",
445 "currency": "AED"
446 },
447 "tax_amount": {
448 "quantity": "string",
449 "currency": "AED"
450 },
451 "total_amount": {
452 "quantity": "string",
453 "currency": "AED"
454 },
455 "category": "string",
456 "local_amounts": {
457 "base_amount": {
458 "quantity": "string",
459 "currency": "AED"
460 },
461 "tax_amount": {
462 "quantity": "string",
463 "currency": "AED"
464 },
465 "total_amount": {
466 "quantity": "string",
467 "currency": "AED"
468 },
469 "used_exchange_rate": {
470 "currency": "string",
471 "base_currency": "string",
472 "rate_timestamp": "string",
473 "rate": "string",
474 "source": "string"
475 },
476 "display": true
477 },
478 "notes": [
479 "string"
480 ],
481 "rates": [
482 {
483 "name": "string",
484 "percentage": "string",
485 "tax_amount": {
486 "quantity": "string",
487 "currency": "AED"
488 }
489 }
490 ],
491 "percentage": "string",
492 "name": "string"
493 }
494 ],
495 "lines": [
496 {
497 "id": "string",
498 "line_order": 1,
499 "description": "string",
500 "pricing_item_id": "string",
501 "pricing_item_config_id": "string",
502 "product_items": [
503 {
504 "object_type": "string",
505 "id": "string",
506 "product_id": "string",
507 "product": {
508 "object_type": "string",
509 "id": "string",
510 "category_id": "string",
511 "category": {
512 "object_type": "string",
513 "id": "string",
514 "name": "string",
515 "reference": "string",
516 "description": "string",
517 "tax_category": "STANDARD",
518 "display_order": 1,
519 "customer_id": "string"
520 },
521 "parent_product_id": "string",
522 "name": "string",
523 "reference": "string",
524 "description": "string",
525 "status": "DRAFT",
526 "product_type": "DEFAULT",
527 "tax_category": "STANDARD",
528 "features": [
529 {
530 "id": "string",
531 "reference": "string"
532 }
533 ],
534 "custom_fields": [
535 {
536 "id": "string",
537 "reference": "string",
538 "value": "string",
539 "values": [
540 "string"
541 ],
542 "integration_details": {
543 "id": "string",
544 "reference": "string",
545 "payment_gateway_variant": "ADYEN",
546 "adyen": {
547 "recurring_detail_reference": "string"
548 },
549 "stripe": {
550 "payment_method_id": "string"
551 }
552 }
553 }
554 ],
555 "display_order": 1,
556 "linked_integrations": [
557 {
558 "id": "string",
559 "link_details": [
560 {
561 "url": "string",
562 "custom_field_name": "string"
563 }
564 ]
565 }
566 ],
567 "billing_entity_id": "string",
568 "customer_id": "string"
569 },
570 "name": "string",
571 "status": "DRAFT",
572 "reference": "string",
573 "description": "string",
574 "type": "REVENUE",
575 "model_type": "USAGE_BASED",
576 "usage_based": {
577 "meter_value_calculation_id": "string",
578 "meter_value_calculation": {
579 "object_type": "string",
580 "id": "string",
581 "reference": "string",
582 "name": "string",
583 "description": "string",
584 "calculation_type": "SUM",
585 "persist": true,
586 "meter_id": "string",
587 "meter": {
588 "object_type": "string",
589 "id": "string",
590 "reference": "string",
591 "name": "string",
592 "description": "string",
593 "status": "DRAFT",
594 "meter_values": [
595 {
596 "id": "string",
597 "object": {
598 "object_type": "string",
599 "id": "string",
600 "reference": "string",
601 "name": "string",
602 "description": "string",
603 "status": "DRAFT",
604 "type": "NUMBER"
605 },
606 "required": true
607 }
608 ],
609 "meter_properties": [
610 {
611 "id": "string",
612 "object": {
613 "object_type": "string",
614 "id": "string",
615 "reference": "string",
616 "name": "string",
617 "description": "string",
618 "status": "DRAFT",
619 "type": "NUMBER",
620 "enum_values": [
621 "string"
622 ]
623 },
624 "required": true
625 }
626 ]
627 },
628 "meter_value_id": "string",
629 "meter_value": {
630 "object_type": "string",
631 "id": "string",
632 "reference": "string",
633 "name": "string",
634 "description": "string",
635 "status": "DRAFT",
636 "type": "NUMBER"
637 },
638 "meter_property_id": "string",
639 "meter_property": {
640 "object_type": "string",
641 "id": "string",
642 "reference": "string",
643 "name": "string",
644 "description": "string",
645 "status": "DRAFT",
646 "type": "NUMBER",
647 "enum_values": [
648 "string"
649 ]
650 }
651 },
652 "tiering_meter_value_calculation_id": "string",
653 "tiering_meter_value_calculation": {
654 "object_type": "string",
655 "id": "string",
656 "reference": "string",
657 "name": "string",
658 "description": "string",
659 "calculation_type": "SUM",
660 "persist": true,
661 "meter_id": "string",
662 "meter": {
663 "object_type": "string",
664 "id": "string",
665 "reference": "string",
666 "name": "string",
667 "description": "string",
668 "status": "DRAFT",
669 "meter_values": [
670 {
671 "id": "string",
672 "object": {
673 "object_type": "string",
674 "id": "string",
675 "reference": "string",
676 "name": "string",
677 "description": "string",
678 "status": "DRAFT",
679 "type": "NUMBER"
680 },
681 "required": true
682 }
683 ],
684 "meter_properties": [
685 {
686 "id": "string",
687 "object": {
688 "object_type": "string",
689 "id": "string",
690 "reference": "string",
691 "name": "string",
692 "description": "string",
693 "status": "DRAFT",
694 "type": "NUMBER",
695 "enum_values": [
696 "string"
697 ]
698 },
699 "required": true
700 }
701 ]
702 },
703 "meter_value_id": "string",
704 "meter_value": {
705 "object_type": "string",
706 "id": "string",
707 "reference": "string",
708 "name": "string",
709 "description": "string",
710 "status": "DRAFT",
711 "type": "NUMBER"
712 },
713 "meter_property_id": "string",
714 "meter_property": {
715 "object_type": "string",
716 "id": "string",
717 "reference": "string",
718 "name": "string",
719 "description": "string",
720 "status": "DRAFT",
721 "type": "NUMBER",
722 "enum_values": [
723 "string"
724 ]
725 }
726 },
727 "report_meter_value_calculation_ids": [
728 "string"
729 ],
730 "conditions": {
731 "name": "string",
732 "expression": {
733 "operator": "AND",
734 "operands": [
735 {
736 "meter_property": {
737 "id": "string",
738 "reference": "string",
739 "meter_property": {
740 "object_type": {},
741 "id": {},
742 "reference": {},
743 "name": {},
744 "description": {},
745 "status": {},
746 "type": {},
747 "enum_values": {}
748 },
749 "value": "string",
750 "values": [
751 "string"
752 ],
753 "comparator": "EQUALS"
754 },
755 "expression": {}
756 }
757 ]
758 },
759 "meter_properties": [
760 {
761 "id": "string",
762 "reference": "string",
763 "meter_property": {
764 "object_type": "string",
765 "id": "string",
766 "reference": "string",
767 "name": "string",
768 "description": "string",
769 "status": "DRAFT",
770 "type": "NUMBER",
771 "enum_values": [
772 "string"
773 ]
774 },
775 "value": "string",
776 "values": [
777 "string"
778 ],
779 "comparator": "EQUALS"
780 }
781 ]
782 }
783 },
784 "credits": {
785 "credit_type_id": "string",
786 "credit_type": {
787 "object_type": "string",
788 "id": "string",
789 "reference": "string",
790 "status": "DRAFT",
791 "name": "string",
792 "description": "string",
793 "unit_name": {
794 "singular": "string",
795 "plural": "string"
796 },
797 "created_at": "string",
798 "updated_at": "string"
799 }
800 },
801 "meter_value_calculation": {
802 "object_type": "string",
803 "id": "string",
804 "reference": "string",
805 "name": "string",
806 "description": "string",
807 "calculation_type": "SUM",
808 "persist": true,
809 "meter_id": "string",
810 "meter": {
811 "object_type": "string",
812 "id": "string",
813 "reference": "string",
814 "name": "string",
815 "description": "string",
816 "status": "DRAFT",
817 "meter_values": [
818 {
819 "id": "string",
820 "object": {
821 "object_type": "string",
822 "id": "string",
823 "reference": "string",
824 "name": "string",
825 "description": "string",
826 "status": "DRAFT",
827 "type": "NUMBER"
828 },
829 "required": true
830 }
831 ],
832 "meter_properties": [
833 {
834 "id": "string",
835 "object": {
836 "object_type": "string",
837 "id": "string",
838 "reference": "string",
839 "name": "string",
840 "description": "string",
841 "status": "DRAFT",
842 "type": "NUMBER",
843 "enum_values": [
844 "string"
845 ]
846 },
847 "required": true
848 }
849 ]
850 },
851 "meter_value_id": "string",
852 "meter_value": {
853 "object_type": "string",
854 "id": "string",
855 "reference": "string",
856 "name": "string",
857 "description": "string",
858 "status": "DRAFT",
859 "type": "NUMBER"
860 },
861 "meter_property_id": "string",
862 "meter_property": {
863 "object_type": "string",
864 "id": "string",
865 "reference": "string",
866 "name": "string",
867 "description": "string",
868 "status": "DRAFT",
869 "type": "NUMBER",
870 "enum_values": [
871 "string"
872 ]
873 }
874 },
875 "tax_category": "STANDARD",
876 "display_order": 1,
877 "unit_name": {
878 "singular": "string",
879 "plural": "string"
880 },
881 "custom_fields": [
882 {
883 "id": "string",
884 "reference": "string",
885 "value": "string",
886 "values": [
887 "string"
888 ],
889 "integration_details": {
890 "id": "string",
891 "reference": "string",
892 "payment_gateway_variant": "ADYEN",
893 "adyen": {
894 "recurring_detail_reference": "string"
895 },
896 "stripe": {
897 "payment_method_id": "string"
898 }
899 }
900 }
901 ],
902 "customer_id": "string",
903 "meter_value_calculation_id": "string",
904 "report_meter_value_calculation_ids": [
905 "string"
906 ]
907 }
908 ],
909 "type": "string",
910 "pricing_type": "string",
911 "commitment_type": "string",
912 "discount_type": "string",
913 "coupon_data": {
914 "coupon_id": "string",
915 "promotion_code_id": "string"
916 },
917 "tax_categories": [
918 {
919 "base_amount": {
920 "quantity": "string",
921 "currency": "AED"
922 },
923 "tax_amount": {
924 "quantity": "string",
925 "currency": "AED"
926 },
927 "total_amount": {
928 "quantity": "string",
929 "currency": "AED"
930 },
931 "category": "string",
932 "local_amounts": {
933 "base_amount": {
934 "quantity": "string",
935 "currency": "AED"
936 },
937 "tax_amount": {
938 "quantity": "string",
939 "currency": "AED"
940 },
941 "total_amount": {
942 "quantity": "string",
943 "currency": "AED"
944 },
945 "used_exchange_rate": {
946 "currency": "string",
947 "base_currency": "string",
948 "rate_timestamp": "string",
949 "rate": "string",
950 "source": "string"
951 },
952 "display": true
953 },
954 "notes": [
955 "string"
956 ],
957 "rates": [
958 {
959 "name": "string",
960 "percentage": "string",
961 "tax_amount": {
962 "quantity": "string",
963 "currency": "AED"
964 }
965 }
966 ],
967 "percentage": "string",
968 "name": "string"
969 }
970 ],
971 "amount_excluding_tax": {
972 "quantity": "string",
973 "currency": "AED"
974 },
975 "amount_including_tax": {
976 "quantity": "string",
977 "currency": "AED"
978 },
979 "conditions": {
980 "name": "string",
981 "expression": {
982 "operator": "AND",
983 "operands": [
984 {
985 "meter_property": {
986 "id": "string",
987 "reference": "string",
988 "meter_property": {
989 "object_type": "string",
990 "id": "string",
991 "reference": "string",
992 "name": "string",
993 "description": "string",
994 "status": "DRAFT",
995 "type": "NUMBER",
996 "enum_values": [
997 "string"
998 ]
999 },
1000 "value": "string",
1001 "values": [
1002 "string"
1003 ],
1004 "comparator": "EQUALS"
1005 },
1006 "expression": {}
1007 }
1008 ]
1009 },
1010 "meter_properties": [
1011 {
1012 "id": "string",
1013 "reference": "string",
1014 "meter_property": {
1015 "object_type": "string",
1016 "id": "string",
1017 "reference": "string",
1018 "name": "string",
1019 "description": "string",
1020 "status": "DRAFT",
1021 "type": "NUMBER",
1022 "enum_values": [
1023 "string"
1024 ]
1025 },
1026 "value": "string",
1027 "values": [
1028 "string"
1029 ],
1030 "comparator": "EQUALS"
1031 }
1032 ]
1033 },
1034 "meter_value": {
1035 "reference": "string",
1036 "type": "string",
1037 "number": "string",
1038 "amount": {
1039 "quantity": "string",
1040 "currency": "AED"
1041 }
1042 },
1043 "details": {
1044 "amount": {
1045 "quantity": "string",
1046 "currency": "AED"
1047 },
1048 "pricing_currency": "string",
1049 "pricing_amount": {
1050 "quantity": "string",
1051 "currency": "AED"
1052 },
1053 "conversion": {
1054 "credits": {
1055 "quantity": "string",
1056 "credit_type_id": "string"
1057 },
1058 "convert_from_meter_value_id": "string"
1059 },
1060 "band": {
1061 "amount": {
1062 "quantity": "string",
1063 "currency": "AED"
1064 },
1065 "percentage": "string",
1066 "credits": {
1067 "quantity": "string",
1068 "credit_type_id": "string"
1069 },
1070 "maximum_amount": {
1071 "quantity": "string",
1072 "currency": "AED"
1073 },
1074 "minimum_amount": {
1075 "quantity": "string",
1076 "currency": "AED"
1077 },
1078 "maximum_number": "string",
1079 "minimum_number": "string",
1080 "block_size": {
1081 "number": "string",
1082 "amount": {
1083 "quantity": "string",
1084 "currency": "AED"
1085 },
1086 "count": "string"
1087 },
1088 "tier_lower_bound": {
1089 "number": "string",
1090 "amount": {
1091 "quantity": "string",
1092 "currency": "AED"
1093 },
1094 "count": "string"
1095 },
1096 "tier_top_bound": {
1097 "number": "string",
1098 "amount": {
1099 "quantity": "string",
1100 "currency": "AED"
1101 },
1102 "count": "string"
1103 },
1104 "volume_share": "string",
1105 "included_volume": {
1106 "number": "string",
1107 "amount": {
1108 "quantity": "string",
1109 "currency": "AED"
1110 },
1111 "count": "string"
1112 }
1113 },
1114 "meter_value": {
1115 "id": "string",
1116 "reference": "string",
1117 "number": "string",
1118 "amount": {
1119 "quantity": "string",
1120 "currency": "AED"
1121 },
1122 "count": "string",
1123 "ratio": "string",
1124 "type": "NUMBER"
1125 },
1126 "tiering_meter_value": {
1127 "id": "string",
1128 "reference": "string",
1129 "number": "string",
1130 "amount": {
1131 "quantity": "string",
1132 "currency": "AED"
1133 },
1134 "count": "string",
1135 "ratio": "string",
1136 "type": "NUMBER"
1137 },
1138 "price_bound": "string",
1139 "meter_values": [
1140 {
1141 "number": "string",
1142 "amount": {
1143 "quantity": "string",
1144 "currency": "AED"
1145 },
1146 "amount_in_pricing_currency": {
1147 "quantity": "string",
1148 "currency": "AED"
1149 },
1150 "count": 1,
1151 "ratio": "string"
1152 }
1153 ],
1154 "report_meter_values": [
1155 {
1156 "meter_value_calculation_id": "string",
1157 "number": "string",
1158 "amount": {
1159 "quantity": "string",
1160 "currency": "AED"
1161 },
1162 "amount_in_pricing_currency": {
1163 "quantity": "string",
1164 "currency": "AED"
1165 },
1166 "count": "string",
1167 "ratio": "string"
1168 }
1169 ],
1170 "description": "string",
1171 "used_exchange_rates": [
1172 {
1173 "currency": "string",
1174 "base_currency": "string",
1175 "rate_timestamp": "string",
1176 "rate": "string",
1177 "source": "string"
1178 }
1179 ],
1180 "included_volume_details": {
1181 "included_volume": {
1182 "id": "string",
1183 "reference": "string",
1184 "number": "string",
1185 "amount": {
1186 "quantity": "string",
1187 "currency": "AED"
1188 },
1189 "count": "string",
1190 "ratio": "string",
1191 "type": "NUMBER"
1192 },
1193 "available_included_volume": {
1194 "id": "string",
1195 "reference": "string",
1196 "number": "string",
1197 "amount": {
1198 "quantity": "string",
1199 "currency": "AED"
1200 },
1201 "count": "string",
1202 "ratio": "string",
1203 "type": "NUMBER"
1204 },
1205 "period_volume": {
1206 "id": "string",
1207 "reference": "string",
1208 "number": "string",
1209 "amount": {
1210 "quantity": "string",
1211 "currency": "AED"
1212 },
1213 "count": "string",
1214 "ratio": "string",
1215 "type": "NUMBER"
1216 }
1217 },
1218 "wallet_balance_details": {
1219 "used_wallet_credits": {
1220 "quantity": "string",
1221 "credit_type_id": "string"
1222 },
1223 "left_wallet_credits": {
1224 "quantity": "string",
1225 "credit_type_id": "string"
1226 },
1227 "available_wallet_credits": {
1228 "quantity": "string",
1229 "credit_type_id": "string"
1230 }
1231 },
1232 "split_pricing": {
1233 "meter_properties": [
1234 {
1235 "id": "string",
1236 "reference": "string",
1237 "value": "string",
1238 "meter_property": {
1239 "object_type": "string",
1240 "id": "string",
1241 "reference": "string",
1242 "name": "string",
1243 "description": "string",
1244 "status": "DRAFT",
1245 "type": "NUMBER",
1246 "enum_values": [
1247 "string"
1248 ]
1249 }
1250 }
1251 ]
1252 },
1253 "meter_value_share_of_total": "string",
1254 "meter_value_share_of_processing_only_customer_total": "string"
1255 },
1256 "sub_lines": [
1257 {
1258 "sub_line_order": 1,
1259 "details": {
1260 "amount": {
1261 "quantity": "string",
1262 "currency": "AED"
1263 },
1264 "pricing_currency": "string",
1265 "pricing_amount": {
1266 "quantity": "string",
1267 "currency": "AED"
1268 },
1269 "conversion": {
1270 "credits": {
1271 "quantity": "string",
1272 "credit_type_id": "string"
1273 },
1274 "convert_from_meter_value_id": "string"
1275 },
1276 "band": {
1277 "amount": {
1278 "quantity": "string",
1279 "currency": "AED"
1280 },
1281 "percentage": "string",
1282 "credits": {
1283 "quantity": "string",
1284 "credit_type_id": "string"
1285 },
1286 "maximum_amount": {
1287 "quantity": "string",
1288 "currency": "AED"
1289 },
1290 "minimum_amount": {
1291 "quantity": "string",
1292 "currency": "AED"
1293 },
1294 "maximum_number": "string",
1295 "minimum_number": "string",
1296 "block_size": {
1297 "number": "string",
1298 "amount": {
1299 "quantity": "string",
1300 "currency": "AED"
1301 },
1302 "count": "string"
1303 },
1304 "tier_lower_bound": {
1305 "number": "string",
1306 "amount": {
1307 "quantity": "string",
1308 "currency": "AED"
1309 },
1310 "count": "string"
1311 },
1312 "tier_top_bound": {
1313 "number": "string",
1314 "amount": {
1315 "quantity": "string",
1316 "currency": "AED"
1317 },
1318 "count": "string"
1319 },
1320 "volume_share": "string",
1321 "included_volume": {
1322 "number": "string",
1323 "amount": {
1324 "quantity": "string",
1325 "currency": "AED"
1326 },
1327 "count": "string"
1328 }
1329 },
1330 "meter_value": {
1331 "id": "string",
1332 "reference": "string",
1333 "number": "string",
1334 "amount": {
1335 "quantity": "string",
1336 "currency": "AED"
1337 },
1338 "count": "string",
1339 "ratio": "string",
1340 "type": "NUMBER"
1341 },
1342 "tiering_meter_value": {
1343 "id": "string",
1344 "reference": "string",
1345 "number": "string",
1346 "amount": {
1347 "quantity": "string",
1348 "currency": "AED"
1349 },
1350 "count": "string",
1351 "ratio": "string",
1352 "type": "NUMBER"
1353 },
1354 "price_bound": "string",
1355 "meter_values": [
1356 {
1357 "number": "string",
1358 "amount": {
1359 "quantity": "string",
1360 "currency": "AED"
1361 },
1362 "amount_in_pricing_currency": {
1363 "quantity": "string",
1364 "currency": "AED"
1365 },
1366 "count": 1,
1367 "ratio": "string"
1368 }
1369 ],
1370 "report_meter_values": [
1371 {
1372 "meter_value_calculation_id": "string",
1373 "number": "string",
1374 "amount": {
1375 "quantity": "string",
1376 "currency": "AED"
1377 },
1378 "amount_in_pricing_currency": {
1379 "quantity": "string",
1380 "currency": "AED"
1381 },
1382 "count": "string",
1383 "ratio": "string"
1384 }
1385 ],
1386 "description": "string",
1387 "used_exchange_rates": [
1388 {
1389 "currency": "string",
1390 "base_currency": "string",
1391 "rate_timestamp": "string",
1392 "rate": "string",
1393 "source": "string"
1394 }
1395 ],
1396 "included_volume_details": {
1397 "included_volume": {
1398 "id": "string",
1399 "reference": "string",
1400 "number": "string",
1401 "amount": {
1402 "quantity": "string",
1403 "currency": "AED"
1404 },
1405 "count": "string",
1406 "ratio": "string",
1407 "type": "NUMBER"
1408 },
1409 "available_included_volume": {
1410 "id": "string",
1411 "reference": "string",
1412 "number": "string",
1413 "amount": {
1414 "quantity": "string",
1415 "currency": "AED"
1416 },
1417 "count": "string",
1418 "ratio": "string",
1419 "type": "NUMBER"
1420 },
1421 "period_volume": {
1422 "id": "string",
1423 "reference": "string",
1424 "number": "string",
1425 "amount": {
1426 "quantity": "string",
1427 "currency": "AED"
1428 },
1429 "count": "string",
1430 "ratio": "string",
1431 "type": "NUMBER"
1432 }
1433 },
1434 "wallet_balance_details": {
1435 "used_wallet_credits": {
1436 "quantity": "string",
1437 "credit_type_id": "string"
1438 },
1439 "left_wallet_credits": {
1440 "quantity": "string",
1441 "credit_type_id": "string"
1442 },
1443 "available_wallet_credits": {
1444 "quantity": "string",
1445 "credit_type_id": "string"
1446 }
1447 },
1448 "split_pricing": {
1449 "meter_properties": [
1450 {
1451 "id": "string",
1452 "reference": "string",
1453 "value": "string",
1454 "meter_property": {
1455 "object_type": "string",
1456 "id": "string",
1457 "reference": "string",
1458 "name": "string",
1459 "description": "string",
1460 "status": "DRAFT",
1461 "type": "NUMBER",
1462 "enum_values": [
1463 "string"
1464 ]
1465 }
1466 }
1467 ]
1468 },
1469 "meter_value_share_of_total": "string",
1470 "meter_value_share_of_processing_only_customer_total": "string"
1471 },
1472 "description": "string",
1473 "processing_only_customer_id": "string",
1474 "type": "USAGE_BASED_CONVERSION",
1475 "usage_based_conversion": {
1476 "conditions": {
1477 "name": "string",
1478 "expression": {
1479 "operator": "AND",
1480 "operands": [
1481 {
1482 "meter_property": {
1483 "id": "string",
1484 "reference": "string",
1485 "meter_property": {
1486 "object_type": {},
1487 "id": {},
1488 "reference": {},
1489 "name": {},
1490 "description": {},
1491 "status": {},
1492 "type": {},
1493 "enum_values": {}
1494 },
1495 "value": "string",
1496 "values": [
1497 "string"
1498 ],
1499 "comparator": "EQUALS"
1500 },
1501 "expression": {}
1502 }
1503 ]
1504 },
1505 "meter_properties": [
1506 {
1507 "id": "string",
1508 "reference": "string",
1509 "meter_property": {
1510 "object_type": "string",
1511 "id": "string",
1512 "reference": "string",
1513 "name": "string",
1514 "description": "string",
1515 "status": "DRAFT",
1516 "type": "NUMBER",
1517 "enum_values": [
1518 "string"
1519 ]
1520 },
1521 "value": "string",
1522 "values": [
1523 "string"
1524 ],
1525 "comparator": "EQUALS"
1526 }
1527 ]
1528 }
1529 },
1530 "processing_only_customer_resource_id": "string"
1531 }
1532 ]
1533 }
1534 ],
1535 "billing_customer_id": "string"
1536 }
1537 ]
1538 }
1539 ]
1540 }
1541 ],
1542 "used_change_rates": [
1543 {
1544 "currency": "string",
1545 "base_currency": "string",
1546 "rate_timestamp": "string",
1547 "rate": "string",
1548 "source": "string"
1549 }
1550 ]
1551 },
1552 "processed_details": {
1553 "type": "DEFAULT",
1554 "duplicate": {
1555 "of_meter_data_id": "string"
1556 },
1557 "not_matched": {
1558 "variant": "string"
1559 },
1560 "duplicate_of_meter_data_id": "string"
1561 },
1562 "deleted": true
1563}

Requires the METER_DATA.DELETE permission.

Was this page helpful?
Previous

Get an event by ID

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header
OR
AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

versionstringRequiredDefaults to 1
version

Headers

x-platform-idstringOptional
Platform ID.

Request

This endpoint expects an object.
referencestring or nullRequiredformat: "^.*$"10-256 characters
customer_idstring or nullOptional
The resource ID of the associated customer.
customer_referencestring or nullOptional
A custom reference assigned to the customer.
customerobject or nullOptional
meter_idstring or nullOptional
The resource ID of the meter.
meter_referencestring or nullOptional
A custom reference assigned to the meter.
pricing_plan_subscription_idstring or nullOptional
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or nullOptional
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobjectOptional
A selector to dynamically determine the subscription to use.
timestampdatetime or nullOptional
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
meter_propertieslist of objects or nullOptional
The properties that provide information to give context to an event, used in the meter.
meter_valueslist of objects or nullOptional
The values used as input to calculate billable units, used in the meter.
cost_predictionobject or nullOptional
The cost prediction.
processed_detailsobject or nullOptional
Details of the result of processing the event.

Response

OK
object_typestring or nullRead-only
idstring or nullRead-only
referencestring or nullformat: "^.*$"10-256 characters
typeenum or nullRead-only
The type of meter data.
Allowed values:
customer_idstring or null
The resource ID of the associated customer.
customer_referencestring or null
A custom reference assigned to the customer.
customerobject or null
meter_idstring or null
The resource ID of the meter.
meter_referencestring or null
A custom reference assigned to the meter.
pricing_plan_subscription_idstring or null
The resource ID of the associated pricing plan subscription.
pricing_plan_subscription_referencestring or null
A custom reference assigned to the pricing plan subscription.
pricing_plan_subscription_selectorobject
A selector to dynamically determine the subscription to use.
timestampdatetime or null
The associated timestamp presented in the ISO 8601 standard of the charge event, if not provided it will be set to 'now'.
created_atstring or nullRead-only
The associated timestamp presented in the ISO 8601 standard of the creation of the event in Solvimon.
meter_propertieslist of objects or null
The properties that provide information to give context to an event, used in the meter.
meter_valueslist of objects or null
The values used as input to calculate billable units, used in the meter.
cost_predictionobject or null
The cost prediction.
processed_detailsobject or null
Details of the result of processing the event.
deletedboolean or nullRead-only
Is MeterData marked as deleted.

Errors

400
Bad Request Error
401
Unauthorized Error
403
Forbidden Error
500
Internal Server Error